// chunky rock
textures/ut4_infinity_2022/lavarock2
{
	{
		map textures/ut4_infinity_2022/lavarock2.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// gray
textures/ut4_infinity_2022/lavarock5
{
	qer_editorimage textures/ut4_infinity_2022/lavarock4.tga
	{
		map textures/ut4_infinity_2022/lavarock4.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// brown
textures/ut4_infinity_2022/lavarock6
{
	qer_editorimage textures/ut4_infinity_2022/lavarock3.tga
	{
		map textures/ut4_infinity_2022/lavarock3.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// horny clams
textures/ut4_infinity_2022/lava1
{
	qer_editorimage textures/ut4_infinity_2022/lava1.tga
	q3map_surfacelight 1024
	{
		map textures/ut4_infinity_2022/lava1.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// lava pool
textures/ut4_infinity_2022/liquid1
{
	qer_editorimage textures/ut4_infinity_2022/liquid1.tga
	qer_nocarve
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 1024
	q3map_tesssize 96
	cull disable
	{
		map textures/ut4_infinity_2022/liquid1.tga
		tcmod scale 0.5 0.5
		tcMod turb 0 0.02 0 0.01
		blendFunc gl_one gl_zero
		rgbGen identity
	}
	{
		map textures/ut4_infinity_2022/liquid1.tga
		blendfunc blend
		tcMod turb 0 0.07 0 0.05
	}
}

// animated lava walls
textures/ut4_infinity_2022/liquid2
{
	qer_editorimage textures/ut4_infinity_2022/lava1.tga
	q3map_globaltexture
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1024
	q3map_tesssize 96
//	cull disable // wtf
	{
		map textures/ut4_infinity_2022/lava1.tga
		tcmod scale 0.10 0.10
		tcmod scroll 0.04 0.03
		tcMod turb 0 0.02 0 0.01
		blendFunc gl_one gl_zero
		rgbGen identity
	}
	{
		map textures/ut4_infinity_2022/lava1.tga
		blendfunc blend
		tcMod turb 0 0.15 0 0.1
	}
}

// animated lava walls tops
textures/ut4_infinity_2022/liquid2-plain-red
{
	qer_editorimage textures/ut4_infinity_2022/lava1-plain-red.tga
	q3map_globaltexture
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1024
	q3map_tesssize 96
	{
		map textures/ut4_infinity_2022/lava1.tga
		tcmod scale 0.10 0.10
		tcmod scroll 0.04 0.03
		tcMod turb 0 0.02 0 0.01
		blendFunc gl_one gl_zero
		rgbGen identity
	}
	{
		map textures/ut4_infinity_2022/lava1.tga
		blendfunc blend
		tcMod turb 0 0.15 0 0.1
	}
}

// animated lava walls tops, compile time only
textures/ut4_infinity_2022/liquid2-plain-red:q3map
{
	qer_editorimage textures/ut4_infinity_2022/lava1-plain-red.tga
	q3map_globaltexture
	surfaceparm nomarks
	surfaceparm nolightmap
	q3map_surfacelight 1024
	q3map_tesssize 96
	{
		map textures/ut4_infinity_2022/lava1-plain-red.tga
		tcmod scale 0.10 0.10
		tcmod scroll 0.04 0.03
		tcMod turb 0 0.02 0 0.01
		blendFunc gl_one gl_zero
		rgbGen identity
	}
	{
		map textures/ut4_infinity_2022/lava1-plain-red.tga
		blendfunc blend
		tcMod turb 0 0.15 0 0.1
	}
}

// INFINITY winged logo
textures/ut4_infinity_2022/decalinf3.tga
{
	qer_editorimage textures/ut4_infinity_2022/decalinf3.tga
	{
		map textures/ut4_infinity_2022/decalinf3.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ut4_infinity_2022/ladderclip
{
	qer_editorimage textures/common/ladder.tga
	qer_trans 0.20
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nodraw
	surfaceparm playerclip
	surfaceparm trans
	surfaceparm ladder
}

textures/ut4_infinity_2022/metalclip
{
	qer_editorimage textures/common/weapclip
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm steel
}

textures/ut4_infinity_2022/sw_greyfence
{
	qer_editorimage textures/eagle/sw_greyfence.tga
	qer_trans 0.40
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull disable
	{
		map textures/eagle/sw_greyfence.tga
		alphaFunc GE128
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_infinity_2022/sky3
{
	qer_editorimage textures/ut4_infinity_2022/liquid1.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	q3map_sunExt 1 0.8 0.5 1536 225 40 3 16
 	skyparms - 512 -
	{
		map textures/ut4_infinity_2022/liquid1.tga
		tcMod scroll 0.03 0.003
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/ut4_infinity_2022/sparse_orange_nebula.tga
		blendfunc GL_ONE GL_ONE
		tcMod scroll 0.06 -0.008
		tcMod scale 2 2
	}
}

// bombspots, shader nicked from Tohunga
textures/ut4_infinity_2022/infinity-fire-red
{
	qer_editorimage textures/ut4_infinity_2022/infinity-fire.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/ut4_infinity_2022/bomb-circle-red.tga
		blendfunc blend
	}
	{
		clampmap textures/ut4_infinity_2022/infinity-fire.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate -30
		blendfunc add
	}
}

textures/ut4_infinity_2022/infinity-fire-black
{
	qer_editorimage textures/ut4_infinity_2022/infinity-fire.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	nopicmip
	{
		clampmap textures/ut4_infinity_2022/bomb-circle-black.tga
		blendfunc blend
	}
	{
		clampmap textures/ut4_infinity_2022/infinity-fire.tga
		tcMod stretch triangle 1.2 0.8 0 1
		tcMod rotate -30
		blendfunc add
	}
}
